// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\lmrt.dll
// check for latest version at http://www.composiasoft.com

package DirectAnimation;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IDASound extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{C46C1BE3-3C52-11D0-9200-848C1D000000}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IDASound.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IDASound Object
     */
    public IDASound() throws COMException {
        super();
    }
    /**
     * Creates IDASound Object with progID
     */
    public IDASound(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IDASound Object
     */
    public IDASound(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IDASound Object with CLSID
     */
    public IDASound(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public java.lang.String GetClassName() throws COMException {
        return (java.lang.String) invoke("GetClassName");
    }
    /**
     * 
     */
    public void Init(IDABehavior toBvr) throws COMException {
        invokeN("Init", new Object[]{toBvr}, 1);
    }
    /**
     * 
     */
    public IDABehavior Importance(double relativeImportance) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Importance", new Object[]{new java.lang.Double(relativeImportance)}, 1));
    }
    /**
     * 
     */
    public IDABehavior RunOnce() throws COMException {
        return new IDABehavior((DispatchPtr) invoke("RunOnce"));
    }
    /**
     * 
     */
    public IDABehavior SubstituteTime(IDANumber xform) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("SubstituteTime", new Object[]{xform}, 1));
    }
    /**
     * 
     */
    public void SwitchTo(IDABehavior SwitchTo) throws COMException {
        invokeN("SwitchTo", new Object[]{SwitchTo}, 1);
    }
    /**
     * 
     */
    public void SwitchToNumber(double numToSwitchTo) throws COMException {
        invokeN("SwitchToNumber", new Object[]{new java.lang.Double(numToSwitchTo)}, 1);
    }
    /**
     * 
     */
    public void SwitchToString(java.lang.String strToSwitchTo) throws COMException {
        invokeN("SwitchToString", new Object[]{strToSwitchTo}, 1);
    }
    /**
     * 
     */
    public IDABehavior Hook(IDABvrHook notifier) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Hook", new Object[]{notifier}, 1));
    }
    /**
     * 
     */
    public IDABehavior Duration(double Duration) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Duration", new Object[]{new java.lang.Double(Duration)}, 1));
    }
    /**
     * 
     */
    public IDABehavior DurationAnim(IDANumber Duration) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("DurationAnim", new Object[]{Duration}, 1));
    }
    /**
     * 
     */
    public IDABehavior Repeat(int count) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Repeat", new Object[]{new java.lang.Integer(count)}, 1));
    }
    /**
     * 
     */
    public IDABehavior RepeatForever() throws COMException {
        return new IDABehavior((DispatchPtr) invoke("RepeatForever"));
    }
    /**
     * 
     */
    public boolean IsReady(boolean bBlock) throws COMException {
        return ((java.lang.Boolean) invokeN("IsReady", new Object[]{new java.lang.Boolean(bBlock)}, 1)).booleanValue();
    }
    /**
     * 
     */
    public IDASound PhaseAnim(IDANumber phaseAmt_0) throws COMException {
        return new IDASound((DispatchPtr) invokeN("PhaseAnim", new Object[]{phaseAmt_0}, 1));
    }
    /**
     * 
     */
    public IDASound Phase(double phaseAmt_0) throws COMException {
        return new IDASound((DispatchPtr) invokeN("Phase", new Object[]{new java.lang.Double(phaseAmt_0)}, 1));
    }
    /**
     * 
     */
    public IDASound RateAnim(IDANumber pitchShift_0) throws COMException {
        return new IDASound((DispatchPtr) invokeN("RateAnim", new Object[]{pitchShift_0}, 1));
    }
    /**
     * 
     */
    public IDASound Rate(double pitchShift_0) throws COMException {
        return new IDASound((DispatchPtr) invokeN("Rate", new Object[]{new java.lang.Double(pitchShift_0)}, 1));
    }
    /**
     * 
     */
    public IDASound PanAnim(IDANumber panAmt_0) throws COMException {
        return new IDASound((DispatchPtr) invokeN("PanAnim", new Object[]{panAmt_0}, 1));
    }
    /**
     * 
     */
    public IDASound Pan(double panAmt_0) throws COMException {
        return new IDASound((DispatchPtr) invokeN("Pan", new Object[]{new java.lang.Double(panAmt_0)}, 1));
    }
    /**
     * 
     */
    public IDASound GainAnim(IDANumber gainAmt_0) throws COMException {
        return new IDASound((DispatchPtr) invokeN("GainAnim", new Object[]{gainAmt_0}, 1));
    }
    /**
     * 
     */
    public IDASound Gain(double gainAmt_0) throws COMException {
        return new IDASound((DispatchPtr) invokeN("Gain", new Object[]{new java.lang.Double(gainAmt_0)}, 1));
    }
    /**
     * 
     */
    public IDASound Loop() throws COMException {
        return new IDASound((DispatchPtr) invoke("Loop"));
    }
}
