// created by OLEWrapgen
// from TypeLib at C:\Program Files\Microsoft Office\Office10\EXCEL.EXE
// check for latest version at http://www.composiasoft.com

package Excel;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class Workbooks extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{000208DB-0000-0000-C000-000000000046}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, Workbooks.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty Workbooks Object
     */
    public Workbooks() throws COMException {
        super();
    }
    /**
     * Creates Workbooks Object with progID
     */
    public Workbooks(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of Workbooks Object
     */
    public Workbooks(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates Workbooks Object with CLSID
     */
    public Workbooks(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public _Application getApplication() throws COMException {
        return new _Application((DispatchPtr) get("Application"));
    }
    /**
     * 
     */
    public int getCreator() throws COMException {
        return ((java.lang.Integer) get("Creator")).intValue();
    }
    /**
     * 
     */
    public DispatchPtr getParent() throws COMException {
        return (DispatchPtr) get("Parent");
    }
    /**
     * 
     */
    public _Workbook Add() throws COMException {
        return new _Workbook((DispatchPtr) invoke("Add"));
    }
    public _Workbook Add(java.lang.Object Template) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("Add", new Object[]{Template}, 1));
    }
    /**
     * 
     */
    public void Close() throws COMException {
        invoke("Close");
    }
    /**
     * 
     */
    public int getCount() throws COMException {
        return ((java.lang.Integer) get("Count")).intValue();
    }
    /**
     * 
     */
    public _Workbook getItem(java.lang.Object Index) throws COMException {
        return new _Workbook((DispatchPtr) getN("Item", new Object[]{Index}));
    }
    /**
     * 
     */
    public IUnknown get_NewEnum() throws COMException {
        return (IUnknown) get("_NewEnum");
    }
    /**
     * 
     */
    public _Workbook _Open(java.lang.String Filename) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("_Open", new Object[]{Filename}, 1));
    }
    public _Workbook _Open(java.lang.String Filename, java.lang.Object UpdateLinks) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("_Open", new Object[]{Filename, UpdateLinks}, 2));
    }
    public _Workbook _Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("_Open", new Object[]{Filename, UpdateLinks, ReadOnly}, 3));
    }
    public _Workbook _Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("_Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format}, 4));
    }
    public _Workbook _Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("_Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password}, 5));
    }
    public _Workbook _Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("_Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword}, 6));
    }
    public _Workbook _Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object IgnoreReadOnlyRecommended) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("_Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword, IgnoreReadOnlyRecommended}, 7));
    }
    public _Workbook _Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object IgnoreReadOnlyRecommended, java.lang.Object Origin) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("_Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword, IgnoreReadOnlyRecommended, Origin}, 8));
    }
    public _Workbook _Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object IgnoreReadOnlyRecommended, java.lang.Object Origin, java.lang.Object Delimiter) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("_Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword, IgnoreReadOnlyRecommended, Origin, Delimiter}, 9));
    }
    public _Workbook _Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object IgnoreReadOnlyRecommended, java.lang.Object Origin, java.lang.Object Delimiter, java.lang.Object Editable) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("_Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword, IgnoreReadOnlyRecommended, Origin, Delimiter, Editable}, 10));
    }
    public _Workbook _Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object IgnoreReadOnlyRecommended, java.lang.Object Origin, java.lang.Object Delimiter, java.lang.Object Editable, java.lang.Object Notify) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("_Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword, IgnoreReadOnlyRecommended, Origin, Delimiter, Editable, Notify}, 11));
    }
    public _Workbook _Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object IgnoreReadOnlyRecommended, java.lang.Object Origin, java.lang.Object Delimiter, java.lang.Object Editable, java.lang.Object Notify, java.lang.Object Converter) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("_Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword, IgnoreReadOnlyRecommended, Origin, Delimiter, Editable, Notify, Converter}, 12));
    }
    public _Workbook _Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object IgnoreReadOnlyRecommended, java.lang.Object Origin, java.lang.Object Delimiter, java.lang.Object Editable, java.lang.Object Notify, java.lang.Object Converter, java.lang.Object AddToMru) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("_Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword, IgnoreReadOnlyRecommended, Origin, Delimiter, Editable, Notify, Converter, AddToMru}, 13));
    }
    /**
     * 
     */
    public void __OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier) throws COMException {
        invokeN("__OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier)}, 5);
    }
    public void __OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter) throws COMException {
        invokeN("__OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter}, 6);
    }
    public void __OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab) throws COMException {
        invokeN("__OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab}, 7);
    }
    public void __OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon) throws COMException {
        invokeN("__OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon}, 8);
    }
    public void __OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma) throws COMException {
        invokeN("__OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma}, 9);
    }
    public void __OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space) throws COMException {
        invokeN("__OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space}, 10);
    }
    public void __OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other) throws COMException {
        invokeN("__OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other}, 11);
    }
    public void __OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other, java.lang.Object OtherChar) throws COMException {
        invokeN("__OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other, OtherChar}, 12);
    }
    public void __OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other, java.lang.Object OtherChar, java.lang.Object FieldInfo) throws COMException {
        invokeN("__OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other, OtherChar, FieldInfo}, 13);
    }
    public void __OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other, java.lang.Object OtherChar, java.lang.Object FieldInfo, java.lang.Object TextVisualLayout) throws COMException {
        invokeN("__OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other, OtherChar, FieldInfo, TextVisualLayout}, 14);
    }
    /**
     * 
     */
    public _Workbook get_Default(java.lang.Object Index) throws COMException {
        return new _Workbook((DispatchPtr) getN("_Default", new Object[]{Index}));
    }
    /**
     * 
     */
    public void _OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier) throws COMException {
        invokeN("_OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier)}, 5);
    }
    public void _OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter) throws COMException {
        invokeN("_OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter}, 6);
    }
    public void _OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab) throws COMException {
        invokeN("_OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab}, 7);
    }
    public void _OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon) throws COMException {
        invokeN("_OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon}, 8);
    }
    public void _OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma) throws COMException {
        invokeN("_OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma}, 9);
    }
    public void _OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space) throws COMException {
        invokeN("_OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space}, 10);
    }
    public void _OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other) throws COMException {
        invokeN("_OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other}, 11);
    }
    public void _OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other, java.lang.Object OtherChar) throws COMException {
        invokeN("_OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other, OtherChar}, 12);
    }
    public void _OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other, java.lang.Object OtherChar, java.lang.Object FieldInfo) throws COMException {
        invokeN("_OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other, OtherChar, FieldInfo}, 13);
    }
    public void _OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other, java.lang.Object OtherChar, java.lang.Object FieldInfo, java.lang.Object TextVisualLayout) throws COMException {
        invokeN("_OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other, OtherChar, FieldInfo, TextVisualLayout}, 14);
    }
    public void _OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other, java.lang.Object OtherChar, java.lang.Object FieldInfo, java.lang.Object TextVisualLayout, java.lang.Object DecimalSeparator) throws COMException {
        invokeN("_OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other, OtherChar, FieldInfo, TextVisualLayout, DecimalSeparator}, 15);
    }
    public void _OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other, java.lang.Object OtherChar, java.lang.Object FieldInfo, java.lang.Object TextVisualLayout, java.lang.Object DecimalSeparator, java.lang.Object ThousandsSeparator) throws COMException {
        invokeN("_OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other, OtherChar, FieldInfo, TextVisualLayout, DecimalSeparator, ThousandsSeparator}, 16);
    }
    /**
     * 
     */
    public _Workbook Open(java.lang.String Filename) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("Open", new Object[]{Filename}, 1));
    }
    public _Workbook Open(java.lang.String Filename, java.lang.Object UpdateLinks) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("Open", new Object[]{Filename, UpdateLinks}, 2));
    }
    public _Workbook Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("Open", new Object[]{Filename, UpdateLinks, ReadOnly}, 3));
    }
    public _Workbook Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format}, 4));
    }
    public _Workbook Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password}, 5));
    }
    public _Workbook Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword}, 6));
    }
    public _Workbook Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object IgnoreReadOnlyRecommended) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword, IgnoreReadOnlyRecommended}, 7));
    }
    public _Workbook Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object IgnoreReadOnlyRecommended, java.lang.Object Origin) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword, IgnoreReadOnlyRecommended, Origin}, 8));
    }
    public _Workbook Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object IgnoreReadOnlyRecommended, java.lang.Object Origin, java.lang.Object Delimiter) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword, IgnoreReadOnlyRecommended, Origin, Delimiter}, 9));
    }
    public _Workbook Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object IgnoreReadOnlyRecommended, java.lang.Object Origin, java.lang.Object Delimiter, java.lang.Object Editable) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword, IgnoreReadOnlyRecommended, Origin, Delimiter, Editable}, 10));
    }
    public _Workbook Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object IgnoreReadOnlyRecommended, java.lang.Object Origin, java.lang.Object Delimiter, java.lang.Object Editable, java.lang.Object Notify) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword, IgnoreReadOnlyRecommended, Origin, Delimiter, Editable, Notify}, 11));
    }
    public _Workbook Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object IgnoreReadOnlyRecommended, java.lang.Object Origin, java.lang.Object Delimiter, java.lang.Object Editable, java.lang.Object Notify, java.lang.Object Converter) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword, IgnoreReadOnlyRecommended, Origin, Delimiter, Editable, Notify, Converter}, 12));
    }
    public _Workbook Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object IgnoreReadOnlyRecommended, java.lang.Object Origin, java.lang.Object Delimiter, java.lang.Object Editable, java.lang.Object Notify, java.lang.Object Converter, java.lang.Object AddToMru) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword, IgnoreReadOnlyRecommended, Origin, Delimiter, Editable, Notify, Converter, AddToMru}, 13));
    }
    public _Workbook Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object IgnoreReadOnlyRecommended, java.lang.Object Origin, java.lang.Object Delimiter, java.lang.Object Editable, java.lang.Object Notify, java.lang.Object Converter, java.lang.Object AddToMru, java.lang.Object Local) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword, IgnoreReadOnlyRecommended, Origin, Delimiter, Editable, Notify, Converter, AddToMru, Local}, 14));
    }
    public _Workbook Open(java.lang.String Filename, java.lang.Object UpdateLinks, java.lang.Object ReadOnly, java.lang.Object Format, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object IgnoreReadOnlyRecommended, java.lang.Object Origin, java.lang.Object Delimiter, java.lang.Object Editable, java.lang.Object Notify, java.lang.Object Converter, java.lang.Object AddToMru, java.lang.Object Local, java.lang.Object CorruptLoad) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("Open", new Object[]{Filename, UpdateLinks, ReadOnly, Format, Password, WriteResPassword, IgnoreReadOnlyRecommended, Origin, Delimiter, Editable, Notify, Converter, AddToMru, Local, CorruptLoad}, 15));
    }
    /**
     * 
     */
    public void OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier) throws COMException {
        invokeN("OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier)}, 5);
    }
    public void OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter) throws COMException {
        invokeN("OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter}, 6);
    }
    public void OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab) throws COMException {
        invokeN("OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab}, 7);
    }
    public void OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon) throws COMException {
        invokeN("OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon}, 8);
    }
    public void OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma) throws COMException {
        invokeN("OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma}, 9);
    }
    public void OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space) throws COMException {
        invokeN("OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space}, 10);
    }
    public void OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other) throws COMException {
        invokeN("OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other}, 11);
    }
    public void OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other, java.lang.Object OtherChar) throws COMException {
        invokeN("OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other, OtherChar}, 12);
    }
    public void OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other, java.lang.Object OtherChar, java.lang.Object FieldInfo) throws COMException {
        invokeN("OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other, OtherChar, FieldInfo}, 13);
    }
    public void OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other, java.lang.Object OtherChar, java.lang.Object FieldInfo, java.lang.Object TextVisualLayout) throws COMException {
        invokeN("OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other, OtherChar, FieldInfo, TextVisualLayout}, 14);
    }
    public void OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other, java.lang.Object OtherChar, java.lang.Object FieldInfo, java.lang.Object TextVisualLayout, java.lang.Object DecimalSeparator) throws COMException {
        invokeN("OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other, OtherChar, FieldInfo, TextVisualLayout, DecimalSeparator}, 15);
    }
    public void OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other, java.lang.Object OtherChar, java.lang.Object FieldInfo, java.lang.Object TextVisualLayout, java.lang.Object DecimalSeparator, java.lang.Object ThousandsSeparator) throws COMException {
        invokeN("OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other, OtherChar, FieldInfo, TextVisualLayout, DecimalSeparator, ThousandsSeparator}, 16);
    }
    public void OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other, java.lang.Object OtherChar, java.lang.Object FieldInfo, java.lang.Object TextVisualLayout, java.lang.Object DecimalSeparator, java.lang.Object ThousandsSeparator, java.lang.Object TrailingMinusNumbers) throws COMException {
        invokeN("OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other, OtherChar, FieldInfo, TextVisualLayout, DecimalSeparator, ThousandsSeparator, TrailingMinusNumbers}, 17);
    }
    public void OpenText(java.lang.String Filename, java.lang.Object Origin, java.lang.Object StartRow, java.lang.Object DataType, int TextQualifier, java.lang.Object ConsecutiveDelimiter, java.lang.Object Tab, java.lang.Object Semicolon, java.lang.Object Comma, java.lang.Object Space, java.lang.Object Other, java.lang.Object OtherChar, java.lang.Object FieldInfo, java.lang.Object TextVisualLayout, java.lang.Object DecimalSeparator, java.lang.Object ThousandsSeparator, java.lang.Object TrailingMinusNumbers, java.lang.Object Local) throws COMException {
        invokeN("OpenText", new Object[]{Filename, Origin, StartRow, DataType, new java.lang.Integer(TextQualifier), ConsecutiveDelimiter, Tab, Semicolon, Comma, Space, Other, OtherChar, FieldInfo, TextVisualLayout, DecimalSeparator, ThousandsSeparator, TrailingMinusNumbers, Local}, 18);
    }
    /**
     * 
     */
    public _Workbook OpenDatabase(java.lang.String Filename) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("OpenDatabase", new Object[]{Filename}, 1));
    }
    public _Workbook OpenDatabase(java.lang.String Filename, java.lang.Object CommandText) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("OpenDatabase", new Object[]{Filename, CommandText}, 2));
    }
    public _Workbook OpenDatabase(java.lang.String Filename, java.lang.Object CommandText, java.lang.Object CommandType) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("OpenDatabase", new Object[]{Filename, CommandText, CommandType}, 3));
    }
    public _Workbook OpenDatabase(java.lang.String Filename, java.lang.Object CommandText, java.lang.Object CommandType, java.lang.Object BackgroundQuery) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("OpenDatabase", new Object[]{Filename, CommandText, CommandType, BackgroundQuery}, 4));
    }
    public _Workbook OpenDatabase(java.lang.String Filename, java.lang.Object CommandText, java.lang.Object CommandType, java.lang.Object BackgroundQuery, java.lang.Object ImportDataAs) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("OpenDatabase", new Object[]{Filename, CommandText, CommandType, BackgroundQuery, ImportDataAs}, 5));
    }
    /**
     * 
     */
    public void CheckOut(java.lang.String Filename) throws COMException {
        invokeN("CheckOut", new Object[]{Filename}, 1);
    }
    /**
     * 
     */
    public boolean CanCheckOut(java.lang.String Filename) throws COMException {
        return ((java.lang.Boolean) invokeN("CanCheckOut", new Object[]{Filename}, 1)).booleanValue();
    }
    /**
     * 
     */
    public _Workbook OpenXML(java.lang.String Filename) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("OpenXML", new Object[]{Filename}, 1));
    }
    public _Workbook OpenXML(java.lang.String Filename, java.lang.Object Stylesheets) throws COMException {
        return new _Workbook((DispatchPtr) invokeN("OpenXML", new Object[]{Filename, Stylesheets}, 2));
    }
}
