// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\shdocvw.dll
// check for latest version at http://www.composiasoft.com

package SHDocVw;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IWebBrowser extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{EAB22AC1-30C1-11CF-A7EB-0000C05BAE0B}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IWebBrowser.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IWebBrowser Object
     */
    public IWebBrowser() throws COMException {
        super();
    }
    /**
     * Creates IWebBrowser Object with progID
     */
    public IWebBrowser(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IWebBrowser Object
     */
    public IWebBrowser(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IWebBrowser Object with CLSID
     */
    public IWebBrowser(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * Navigates to the previous item in the history list.
     */
    public void GoBack() throws COMException {
        invoke("GoBack");
    }
    /**
     * Navigates to the next item in the history list.
     */
    public void GoForward() throws COMException {
        invoke("GoForward");
    }
    /**
     * Go home/start page.
     */
    public void GoHome() throws COMException {
        invoke("GoHome");
    }
    /**
     * Go Search Page.
     */
    public void GoSearch() throws COMException {
        invoke("GoSearch");
    }
    /**
     * Navigates to a URL or file.
     */
    public void Navigate(java.lang.String URL) throws COMException {
        invokeN("Navigate", new Object[]{URL}, 1);
    }
    public void Navigate(java.lang.String URL, ObjectRef Flags) throws COMException {
        invokeN("Navigate", new Object[]{URL, Flags}, 2);
    }
    public void Navigate(java.lang.String URL, ObjectRef Flags, ObjectRef TargetFrameName) throws COMException {
        invokeN("Navigate", new Object[]{URL, Flags, TargetFrameName}, 3);
    }
    public void Navigate(java.lang.String URL, ObjectRef Flags, ObjectRef TargetFrameName, ObjectRef PostData) throws COMException {
        invokeN("Navigate", new Object[]{URL, Flags, TargetFrameName, PostData}, 4);
    }
    public void Navigate(java.lang.String URL, ObjectRef Flags, ObjectRef TargetFrameName, ObjectRef PostData, ObjectRef Headers) throws COMException {
        invokeN("Navigate", new Object[]{URL, Flags, TargetFrameName, PostData, Headers}, 5);
    }
    /**
     * Refresh the currently viewed page.
     */
    public void Refresh() throws COMException {
        invoke("Refresh");
    }
    /**
     * Refresh the currently viewed page.
     */
    public void Refresh2() throws COMException {
        invoke("Refresh2");
    }
    public void Refresh2(ObjectRef Level) throws COMException {
        invokeN("Refresh2", new Object[]{Level}, 1);
    }
    /**
     * Stops opening a file.
     */
    public void Stop() throws COMException {
        invoke("Stop");
    }
    /**
     * Returns the application automation object if accessible, this automation object otherwise..
     */
    public DispatchPtr getApplication() throws COMException {
        return (DispatchPtr) get("Application");
    }
    /**
     * Returns the automation object of the container/parent if one exists or this automation object.
     */
    public DispatchPtr getParent() throws COMException {
        return (DispatchPtr) get("Parent");
    }
    /**
     * Returns the container/parent automation object, if any.
     */
    public DispatchPtr getContainer() throws COMException {
        return (DispatchPtr) get("Container");
    }
    /**
     * Returns the active Document automation object, if any.
     */
    public DispatchPtr getDocument() throws COMException {
        return (DispatchPtr) get("Document");
    }
    /**
     * Returns True if this is the top level object.
     */
    public boolean getTopLevelContainer() throws COMException {
        return ((java.lang.Boolean) get("TopLevelContainer")).booleanValue();
    }
    /**
     * Returns the type of the contained document object.
     */
    public java.lang.String getType() throws COMException {
        return (java.lang.String) get("Type");
    }
    /**
     * The horizontal position (pixels) of the frame window relative to the screen/container.
     */
    public int getLeft() throws COMException {
        return ((java.lang.Integer) get("Left")).intValue();
    }
    /**
     * The horizontal position (pixels) of the frame window relative to the screen/container.
     */
    public void setLeft(int newLeft) throws COMException {
        put("Left", new java.lang.Integer(newLeft));
    }
    /**
     * The vertical position (pixels) of the frame window relative to the screen/container.
     */
    public int getTop() throws COMException {
        return ((java.lang.Integer) get("Top")).intValue();
    }
    /**
     * The vertical position (pixels) of the frame window relative to the screen/container.
     */
    public void setTop(int newTop) throws COMException {
        put("Top", new java.lang.Integer(newTop));
    }
    /**
     * The horizontal dimension (pixels) of the frame window/object.
     */
    public int getWidth() throws COMException {
        return ((java.lang.Integer) get("Width")).intValue();
    }
    /**
     * The horizontal dimension (pixels) of the frame window/object.
     */
    public void setWidth(int newWidth) throws COMException {
        put("Width", new java.lang.Integer(newWidth));
    }
    /**
     * The vertical dimension (pixels) of the frame window/object.
     */
    public int getHeight() throws COMException {
        return ((java.lang.Integer) get("Height")).intValue();
    }
    /**
     * The vertical dimension (pixels) of the frame window/object.
     */
    public void setHeight(int newHeight) throws COMException {
        put("Height", new java.lang.Integer(newHeight));
    }
    /**
     * Gets the short (UI-friendly) name of the URL/file currently viewed.
     */
    public java.lang.String getLocationName() throws COMException {
        return (java.lang.String) get("LocationName");
    }
    /**
     * Gets the full URL/path currently viewed.
     */
    public java.lang.String getLocationURL() throws COMException {
        return (java.lang.String) get("LocationURL");
    }
    /**
     * Query to see if something is still in progress.
     */
    public boolean getBusy() throws COMException {
        return ((java.lang.Boolean) get("Busy")).booleanValue();
    }
}
