// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\lmrt.dll
// check for latest version at http://www.composiasoft.com

package DirectAnimation;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IDADrawingSurface extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{BC0BFD34-D21D-11D0-9385-00C04FB6BD36}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IDADrawingSurface.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IDADrawingSurface Object
     */
    public IDADrawingSurface() throws COMException {
        super();
    }
    /**
     * Creates IDADrawingSurface Object with progID
     */
    public IDADrawingSurface(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IDADrawingSurface Object
     */
    public IDADrawingSurface(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IDADrawingSurface Object with CLSID
     */
    public IDADrawingSurface(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public IDAImage getImage() throws COMException {
        return new IDAImage((DispatchPtr) get("Image"));
    }
    /**
     * 
     */
    public void setLineStyle(IDALineStyle newLineStyle) throws COMException {
        put("LineStyle", newLineStyle);
    }
    /**
     * 
     */
    public void setBorderStyle(IDALineStyle newBorderStyle) throws COMException {
        put("BorderStyle", newBorderStyle);
    }
    /**
     * 
     */
    public void setFontStyle(IDAFontStyle newFontStyle) throws COMException {
        put("FontStyle", newFontStyle);
    }
    /**
     * 
     */
    public void setClipMatte(IDAMatte newClipMatte) throws COMException {
        put("ClipMatte", newClipMatte);
    }
    /**
     * 
     */
    public void setMouseEventsEnabled(boolean newMouseEventsEnabled) throws COMException {
        put("MouseEventsEnabled", new java.lang.Boolean(newMouseEventsEnabled));
    }
    /**
     * 
     */
    public void setHatchFillTransparent(boolean newHatchFillTransparent) throws COMException {
        put("HatchFillTransparent", new java.lang.Boolean(newHatchFillTransparent));
    }
    /**
     * 
     */
    public IDAImage getLocalContextImage() throws COMException {
        return new IDAImage((DispatchPtr) get("LocalContextImage"));
    }
    /**
     * 
     */
    public void Reset() throws COMException {
        invoke("Reset");
    }
    /**
     * 
     */
    public void Clear() throws COMException {
        invoke("Clear");
    }
    /**
     * 
     */
    public void SaveGraphicsState() throws COMException {
        invoke("SaveGraphicsState");
    }
    /**
     * 
     */
    public void RestoreGraphicsState() throws COMException {
        invoke("RestoreGraphicsState");
    }
    /**
     * 
     */
    public void Opacity(double opac) throws COMException {
        invokeN("Opacity", new Object[]{new java.lang.Double(opac)}, 1);
    }
    /**
     * 
     */
    public void OpacityAnim(IDANumber opac) throws COMException {
        invokeN("OpacityAnim", new Object[]{opac}, 1);
    }
    /**
     * 
     */
    public void Crop(double lowerLeftX, double lowerLeftY, double upperRightX, double upperRightY) throws COMException {
        invokeN("Crop", new Object[]{new java.lang.Double(lowerLeftX), new java.lang.Double(lowerLeftY), new java.lang.Double(upperRightX), new java.lang.Double(upperRightY)}, 4);
    }
    /**
     * 
     */
    public void CropPoints(IDAPoint2 Min, IDAPoint2 Max) throws COMException {
        invokeN("CropPoints", new Object[]{Min, Max}, 2);
    }
    /**
     * 
     */
    public void Transform(IDATransform2 xform) throws COMException {
        invokeN("Transform", new Object[]{xform}, 1);
    }
    /**
     * 
     */
    public void LineColor(IDAColor clr) throws COMException {
        invokeN("LineColor", new Object[]{clr}, 1);
    }
    /**
     * 
     */
    public void LineWidth(double w) throws COMException {
        invokeN("LineWidth", new Object[]{new java.lang.Double(w)}, 1);
    }
    /**
     * 
     */
    public void LineDashStyle(int id) throws COMException {
        invokeN("LineDashStyle", new Object[]{new java.lang.Integer(id)}, 1);
    }
    /**
     * 
     */
    public void LineEndStyle(int id) throws COMException {
        invokeN("LineEndStyle", new Object[]{new java.lang.Integer(id)}, 1);
    }
    /**
     * 
     */
    public void LineJoinStyle(int id) throws COMException {
        invokeN("LineJoinStyle", new Object[]{new java.lang.Integer(id)}, 1);
    }
    /**
     * 
     */
    public void BorderColor(IDAColor clr) throws COMException {
        invokeN("BorderColor", new Object[]{clr}, 1);
    }
    /**
     * 
     */
    public void BorderWidth(double w) throws COMException {
        invokeN("BorderWidth", new Object[]{new java.lang.Double(w)}, 1);
    }
    /**
     * 
     */
    public void BorderDashStyle(int id) throws COMException {
        invokeN("BorderDashStyle", new Object[]{new java.lang.Integer(id)}, 1);
    }
    /**
     * 
     */
    public void BorderEndStyle(int obsolete) throws COMException {
        invokeN("BorderEndStyle", new Object[]{new java.lang.Integer(obsolete)}, 1);
    }
    /**
     * 
     */
    public void BorderJoinStyle(int id) throws COMException {
        invokeN("BorderJoinStyle", new Object[]{new java.lang.Integer(id)}, 1);
    }
    /**
     * 
     */
    public void Font(java.lang.String FontFace, int sizeInPoints, boolean Bold, boolean Italic, boolean Underline, boolean Strikethrough) throws COMException {
        invokeN("Font", new Object[]{FontFace, new java.lang.Integer(sizeInPoints), new java.lang.Boolean(Bold), new java.lang.Boolean(Italic), new java.lang.Boolean(Underline), new java.lang.Boolean(Strikethrough)}, 6);
    }
    /**
     * 
     */
    public void TextureFill(IDAImage obsolete1, double obsolete2, double obsolete3) throws COMException {
        invokeN("TextureFill", new Object[]{obsolete1, new java.lang.Double(obsolete2), new java.lang.Double(obsolete3)}, 3);
    }
    /**
     * 
     */
    public void ImageFill(IDAImage obsolete1, double obsolete2, double obsolete3) throws COMException {
        invokeN("ImageFill", new Object[]{obsolete1, new java.lang.Double(obsolete2), new java.lang.Double(obsolete3)}, 3);
    }
    /**
     * 
     */
    public void FillTexture(IDAImage img) throws COMException {
        invokeN("FillTexture", new Object[]{img}, 1);
    }
    /**
     * 
     */
    public void FillImage(IDAImage img) throws COMException {
        invokeN("FillImage", new Object[]{img}, 1);
    }
    /**
     * 
     */
    public void FillStyle(int id) throws COMException {
        invokeN("FillStyle", new Object[]{new java.lang.Integer(id)}, 1);
    }
    /**
     * 
     */
    public void FillColor(IDAColor foreground) throws COMException {
        invokeN("FillColor", new Object[]{foreground}, 1);
    }
    /**
     * 
     */
    public void SecondaryFillColor(IDAColor val) throws COMException {
        invokeN("SecondaryFillColor", new Object[]{val}, 1);
    }
    /**
     * 
     */
    public void GradientShape(java.lang.Object pts) throws COMException {
        invokeN("GradientShape", new Object[]{pts}, 1);
    }
    /**
     * 
     */
    public void GradientExtent(double startx, double starty, double finishx, double finishy) throws COMException {
        invokeN("GradientExtent", new Object[]{new java.lang.Double(startx), new java.lang.Double(starty), new java.lang.Double(finishx), new java.lang.Double(finishy)}, 4);
    }
    /**
     * 
     */
    public void GradientExtentPoints(IDAPoint2 startColor, IDAPoint2 stopColor) throws COMException {
        invokeN("GradientExtentPoints", new Object[]{startColor, stopColor}, 2);
    }
    /**
     * 
     */
    public void GradientRolloffPower(double power) throws COMException {
        invokeN("GradientRolloffPower", new Object[]{new java.lang.Double(power)}, 1);
    }
    /**
     * 
     */
    public void GradientRolloffPowerAnim(IDANumber power) throws COMException {
        invokeN("GradientRolloffPowerAnim", new Object[]{power}, 1);
    }
    /**
     * 
     */
    public void FixedFillScale() throws COMException {
        invoke("FixedFillScale");
    }
    /**
     * 
     */
    public void HorizontalFillScale() throws COMException {
        invoke("HorizontalFillScale");
    }
    /**
     * 
     */
    public void VerticalFillScale() throws COMException {
        invoke("VerticalFillScale");
    }
    /**
     * 
     */
    public void AutoSizeFillScale() throws COMException {
        invoke("AutoSizeFillScale");
    }
    /**
     * 
     */
    public void PolylineEx(int numPts, ObjectRef pts) throws COMException {
        invokeN("PolylineEx", new Object[]{new java.lang.Integer(numPts), pts}, 2);
    }
    /**
     * 
     */
    public void Polyline(java.lang.Object v) throws COMException {
        invokeN("Polyline", new Object[]{v}, 1);
    }
    /**
     * 
     */
    public void PolygonEx(int numPts, ObjectRef pts) throws COMException {
        invokeN("PolygonEx", new Object[]{new java.lang.Integer(numPts), pts}, 2);
    }
    /**
     * 
     */
    public void Polygon(java.lang.Object v) throws COMException {
        invokeN("Polygon", new Object[]{v}, 1);
    }
    /**
     * 
     */
    public void LinePoints(IDAPoint2 p1, IDAPoint2 p2) throws COMException {
        invokeN("LinePoints", new Object[]{p1, p2}, 2);
    }
    /**
     * 
     */
    public void Line(double startx, double starty, double endX, double endY) throws COMException {
        invokeN("Line", new Object[]{new java.lang.Double(startx), new java.lang.Double(starty), new java.lang.Double(endX), new java.lang.Double(endY)}, 4);
    }
    /**
     * 
     */
    public void ArcRadians(double xPos, double yPos, double startAngle, double endAngle, double arcWidth, double arcHeight) throws COMException {
        invokeN("ArcRadians", new Object[]{new java.lang.Double(xPos), new java.lang.Double(yPos), new java.lang.Double(startAngle), new java.lang.Double(endAngle), new java.lang.Double(arcWidth), new java.lang.Double(arcHeight)}, 6);
    }
    /**
     * 
     */
    public void ArcDegrees(double xPos, double yPos, double startAngle, double endAngle, double arcWidth, double arcHeight) throws COMException {
        invokeN("ArcDegrees", new Object[]{new java.lang.Double(xPos), new java.lang.Double(yPos), new java.lang.Double(startAngle), new java.lang.Double(endAngle), new java.lang.Double(arcWidth), new java.lang.Double(arcHeight)}, 6);
    }
    /**
     * 
     */
    public void Oval(double xPos, double yPos, double w, double h) throws COMException {
        invokeN("Oval", new Object[]{new java.lang.Double(xPos), new java.lang.Double(yPos), new java.lang.Double(w), new java.lang.Double(h)}, 4);
    }
    /**
     * 
     */
    public void Rect(double xPos, double yPos, double w, double h) throws COMException {
        invokeN("Rect", new Object[]{new java.lang.Double(xPos), new java.lang.Double(yPos), new java.lang.Double(w), new java.lang.Double(h)}, 4);
    }
    /**
     * 
     */
    public void RoundRect(double xPos, double yPos, double w, double h, double arcWidth, double arcHeight) throws COMException {
        invokeN("RoundRect", new Object[]{new java.lang.Double(xPos), new java.lang.Double(yPos), new java.lang.Double(w), new java.lang.Double(h), new java.lang.Double(arcWidth), new java.lang.Double(arcHeight)}, 6);
    }
    /**
     * 
     */
    public void PieRadians(double xPos, double yPos, double startAngle, double endAngle, double arcWidth, double arcHeight) throws COMException {
        invokeN("PieRadians", new Object[]{new java.lang.Double(xPos), new java.lang.Double(yPos), new java.lang.Double(startAngle), new java.lang.Double(endAngle), new java.lang.Double(arcWidth), new java.lang.Double(arcHeight)}, 6);
    }
    /**
     * 
     */
    public void PieDegrees(double xPos, double yPos, double startAngle, double endAngle, double arcWidth, double arcHeight) throws COMException {
        invokeN("PieDegrees", new Object[]{new java.lang.Double(xPos), new java.lang.Double(yPos), new java.lang.Double(startAngle), new java.lang.Double(endAngle), new java.lang.Double(arcWidth), new java.lang.Double(arcHeight)}, 6);
    }
    /**
     * 
     */
    public void Text(java.lang.String str, double xPos, double yPos) throws COMException {
        invokeN("Text", new Object[]{str, new java.lang.Double(xPos), new java.lang.Double(yPos)}, 3);
    }
    /**
     * 
     */
    public void TextPoint(java.lang.String str, IDAPoint2 point) throws COMException {
        invokeN("TextPoint", new Object[]{str, point}, 2);
    }
    /**
     * 
     */
    public void FillPath(IDAPath2 path) throws COMException {
        invokeN("FillPath", new Object[]{path}, 1);
    }
    /**
     * 
     */
    public void DrawPath(IDAPath2 path) throws COMException {
        invokeN("DrawPath", new Object[]{path}, 1);
    }
    /**
     * 
     */
    public void OverlayImage(IDAImage img) throws COMException {
        invokeN("OverlayImage", new Object[]{img}, 1);
    }
}
