// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\lmrt.dll
// check for latest version at http://www.composiasoft.com

package DirectAnimation;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IDAView extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{283807B4-2C60-11D0-A31D-00AA00B92C03}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IDAView.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IDAView Object
     */
    public IDAView() throws COMException {
        super();
    }
    /**
     * Creates IDAView Object with progID
     */
    public IDAView(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IDAView Object
     */
    public IDAView(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IDAView Object with CLSID
     */
    public IDAView(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * The current simulation time.
     */
    public double getSimulationTime() throws COMException {
        return ((java.lang.Double) get("SimulationTime")).doubleValue();
    }
    /**
     * 
     */
    public boolean Tick(double simTime) throws COMException {
        return ((java.lang.Boolean) invokeN("Tick", new Object[]{new java.lang.Double(simTime)}, 1)).booleanValue();
    }
    /**
     * 
     */
    public void Render() throws COMException {
        invoke("Render");
    }
    /**
     * 
     */
    public int AddBvrToRun(IDABehavior bvr) throws COMException {
        return ((java.lang.Integer) invokeN("AddBvrToRun", new Object[]{bvr}, 1)).intValue();
    }
    /**
     * 
     */
    public void RemoveRunningBvr(int id) throws COMException {
        invokeN("RemoveRunningBvr", new Object[]{new java.lang.Integer(id)}, 1);
    }
    /**
     * 
     */
    public void StartModel(IDAImage pImage, IDASound pSound, double startTime) throws COMException {
        invokeN("StartModel", new Object[]{pImage, pSound, new java.lang.Double(startTime)}, 3);
    }
    /**
     * 
     */
    public void StopModel() throws COMException {
        invoke("StopModel");
    }
    /**
     * The window to display the view in.
     */
    public int getWindow() throws COMException {
        return ((java.lang.Integer) get("Window")).intValue();
    }
    /**
     * The window to display the view in.
     */
    public void setWindow(int newWindow) throws COMException {
        put("Window", new java.lang.Integer(newWindow));
    }
    /**
     * The DirectDraw Surface to display the view in.
     */
    public IUnknown getIDirectDrawSurface() throws COMException {
        return (IUnknown) get("IDirectDrawSurface");
    }
    /**
     * The DirectDraw Surface to display the view in.
     */
    public void setIDirectDrawSurface(IUnknown newIDirectDrawSurface) throws COMException {
        put("IDirectDrawSurface", newIDirectDrawSurface);
    }
    /**
     * The HDC to display the view in.
     */
    public long getDC() throws COMException {
        return ((java.lang.Long) get("DC")).longValue();
    }
    /**
     * The HDC to display the view in.
     */
    public void setDC(long newDC) throws COMException {
        put("DC", new java.lang.Long(newDC));
    }
    /**
     * Composition mode: develop to backbuffer or directly to target
     */
    public boolean getCompositeDirectlyToTarget() throws COMException {
        return ((java.lang.Boolean) get("CompositeDirectlyToTarget")).booleanValue();
    }
    /**
     * Composition mode: develop to backbuffer or directly to target
     */
    public void setCompositeDirectlyToTarget(boolean newCompositeDirectlyToTarget) throws COMException {
        put("CompositeDirectlyToTarget", new java.lang.Boolean(newCompositeDirectlyToTarget));
    }
    /**
     * 
     */
    public void SetViewport(int xPos, int yPos, int w, int h) throws COMException {
        invokeN("SetViewport", new Object[]{new java.lang.Integer(xPos), new java.lang.Integer(yPos), new java.lang.Integer(w), new java.lang.Integer(h)}, 4);
    }
    /**
     * 
     */
    public void SetClipRect(int xPos, int yPos, int w, int h) throws COMException {
        invokeN("SetClipRect", new Object[]{new java.lang.Integer(xPos), new java.lang.Integer(yPos), new java.lang.Integer(w), new java.lang.Integer(h)}, 4);
    }
    /**
     * 
     */
    public void RePaint(int xPos, int yPos, int w, int h) throws COMException {
        invokeN("RePaint", new Object[]{new java.lang.Integer(xPos), new java.lang.Integer(yPos), new java.lang.Integer(w), new java.lang.Integer(h)}, 4);
    }
    /**
     * 
     */
    public void PaletteChanged(boolean bNew) throws COMException {
        invokeN("PaletteChanged", new Object[]{new java.lang.Boolean(bNew)}, 1);
    }
    /**
     * 
     */
    public IDAViewSite getSite() throws COMException {
        return new IDAViewSite((DispatchPtr) get("Site"));
    }
    /**
     * 
     */
    public void setSite(IDAViewSite newSite) throws COMException {
        put("Site", newSite);
    }
    /**
     * 
     */
    public void setClientSite(ObjectRef newClientSite) throws COMException {
        put("ClientSite", newClientSite);
    }
    /**
     * 
     */
    public IUnknown getClientSite() throws COMException {
        return (IUnknown) get("ClientSite");
    }
    /**
     * 
     */
    public void OnMouseMove(double when, int xPos, int yPos, Object modifiers) throws COMException {
        invokeN("OnMouseMove", new Object[]{new java.lang.Double(when), new java.lang.Integer(xPos), new java.lang.Integer(yPos), modifiers}, 4);
    }
    /**
     * 
     */
    public void OnMouseButton(double when, int xPos, int yPos, Object button, boolean bPressed, Object modifiers) throws COMException {
        invokeN("OnMouseButton", new Object[]{new java.lang.Double(when), new java.lang.Integer(xPos), new java.lang.Integer(yPos), button, new java.lang.Boolean(bPressed), modifiers}, 6);
    }
    /**
     * 
     */
    public void OnKey(double when, int key, boolean bPressed, Object modifiers) throws COMException {
        invokeN("OnKey", new Object[]{new java.lang.Double(when), new java.lang.Integer(key), new java.lang.Boolean(bPressed), modifiers}, 4);
    }
    /**
     * 
     */
    public void OnFocus(boolean bHasFocus) throws COMException {
        invokeN("OnFocus", new Object[]{new java.lang.Boolean(bHasFocus)}, 1);
    }
    /**
     * 
     */
    public IDAPreferences getPreferences() throws COMException {
        return new IDAPreferences((DispatchPtr) get("Preferences"));
    }
    /**
     * 
     */
    public int QueryHitPoint(int dwAspect, com.develop.jawin.win32.POINT prcBounds, com.develop.jawin.win32.POINT ptLoc, int lCloseHint) throws COMException {
        return ((java.lang.Integer) invokeN("QueryHitPoint", new Object[]{new java.lang.Integer(dwAspect), prcBounds, ptLoc, new java.lang.Integer(lCloseHint)}, 4)).intValue();
    }
}
